[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Denemo-devel] [bug #30484] 0.8.18 User Report: Missing Dependencies in

From: Nils Gey
Subject: [Denemo-devel] [bug #30484] 0.8.18 User Report: Missing Dependencies in Denemo/Configure and a few problems
Date: Mon, 19 Jul 2010 13:02:26 +0000
User-agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv: Gecko/20100627 Firefox/3.6.6


                 Summary: 0.8.18 User Report: Missing Dependencies in
Denemo/Configure and a few problems
                 Project: GNU Denemo, a gtk+ frontend to GNU Lilypond
            Submitted by: steele
            Submitted on: Mon 19 Jul 2010 03:02:25 PM CEST
                Category: None
                Severity: 4 - Important
              Item Group: None
                  Status: None
                 Privacy: Public
             Assigned to: None
             Open/Closed: Open
         Discussion Lock: Any



I was especially excited to try this out due to it's excellent use of
guile as an extension language and it's support for chording, MIDI,
and Jack... very interesting and cool project. What are the advantages
of Denemo over ?

There were a few wrinkles to build this on fedora and I wasn't able to
get it to compile completely. But I was able to run and test it and
get a feel for what it does. Very nice!

Here's the issues I had compiling on Fedora:

(1) After successfully doing "./configure --prefix=/usr/local --enable-jack"
make dies with
>/usr/bin/ld: cannot find -lltdl
> collect2: ld returned 1 exit status
> make[2]: *** [smfsh] Error 1
> make[2]: Leaving directory `/home/npm/denemo-git/libsmf'  

After installing libtool-ltdl-devel-2.2.6-18.fc12.1.x86_64 I was able
to compile further.
FYI, to get denemo compiling on fedora, I had to install the following
additional -devel packages:
sudo yum install guile-devel
 --> guile-devel-1.8.7-3.fc12.x86_64  
sudo yum install aubio-devel
 --> aubio-devel-0.3.2-7.fc12.x86_64  
sudo yum install portaudio-devel
 --> portaudio-devel-19-9.fc12.x86_64  
sudo yum install gtksourceview2-devel
 --> gtksourceview2-devel-2.8.2-1.fc12.x86_64  
sudo yum install fluidsynth-devel
 --> fluidsynth-devel-1.1.1-1.fc12.x86_64  
sudo yum install libtool-ltdl-devel
 -->  libtool-ltdl-devel-2.2.6-18.fc12.1.x86_64  

(2) Compilation dies completely and confusingly in building documentation:

>Making all in doc
>./make: line 1: html:: command not found
>warning: failed to load external entity

I have docbook-style-xsl-1.75.2-6.fc12.noarch installed which installs
using paths like

At this point, I tried changing some of the files with the wrong paths
and everything started breaking more so I gave up....

(3) Before giving up, I cd'd to "src" and typed make. It built denemo
and it runs but complains about missing files (since I never installed

(4) Deciding I don't need the documentation, I changed the toplevel
makefile to exclude documentation
and rebuilt successfully. For details, see:

And this is the change needed to allow compilation to complete:
> gnulem-234-~/denemo-git> diff Makefile.~1~  Makefile
> 294c294
> < SUBDIRS = libsmf m4 doc actions pixmaps po src \
> ---  
> > SUBDIRS = libsmf m4 actions pixmaps po src \  

(5) Now it runs -- i can put notes on the screen and hear fluidsynth's
output in my headphones .... It produces the following output at

gnulem-231-~> denemo
BinReloc failed to initialize:
Domain: 1 (GBinReloc)
Code: 4
Message: Binary relocation support is disabled.

(denemo:583): Gtk-WARNING **: LilyToggleShow: missing action LilyToggleShow

(denemo:583): Gtk-WARNING **: LilyToggleShow: missing action LilyToggleShow

(denemo:583): Gtk-WARNING **: LilyCreateCustom: missing action

(denemo:583): Gtk-WARNING **: LilyToggleShow: missing action LilyToggleShow

(denemo:583): Gtk-WARNING **: LilyDelete: missing action LilyDelete

GNU Denemo, a gtk+ frontend for GNU Lilypond
(c) 1999-2005, 2009 Matthew Hiller, Adam Tee, and others

This program is provided with absolutely NO WARRANTY; see
the file COPYING for details.

This software may be redistributed and modified under the
terms of the GNU General Public License; again, see the file
COPYING for details.

Version 0_8_19fluidsynth: warning: Requested a period size of 64, got
1024 instead
fluidsynth: warning: Requested 16 periods, got 4 instead
init.denemo loadedParent: child exited, pid = 586, exit status = 0

-- Niels


Reply to this item at:


  Message sent via/by Savannah

reply via email to

[Prev in Thread] Current Thread [Next in Thread]